Bug 841241 - Review Request: gstreamer1 - GStreamer streaming media framework runtime
Review Request: gstreamer1 - GStreamer streaming media framework runtime
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 841243 841713
  Show dependency treegraph
 
Reported: 2012-07-18 09:44 EDT by Brian Pepple
Modified: 2012-08-21 15:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 14:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2012-07-18 09:44:56 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1/gstreamer1-0.11.92-1.fc18.src.rpm
Description: GStreamer is a streaming media framework, based on graphs of filters which operate on media data. Applications using this library can do anything from real-time sound processing to playing videos, and just about anything else media-related.  Its plugin-based architecture means that new data types or processing capabilities can be added simply by installing new plugins.

This package is for the GStreamer-1.0 api and is parallel installable with gstreamer-0.10. Still working on getting the rest of the gstreamer1 packages created, but once I'm done with that I'll be working on updating/creating a rpm provide patch for gstreamer1
Fedora Account System Username: bpepple
Comment 1 Brian Pepple 2012-07-18 09:46:10 EDT
btw, I've got a i686 scratch build here: http://bpepple.fedorapeople.org/rpms/gstreamer1/
Comment 2 Jiri Popelka 2012-08-03 12:43:14 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot}

You can also remove the 'rm -rf $RPM_BUILD_ROOT' from %install section.

[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro.
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint is run on all rpms the build produces.

gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgstbase-1.0.so.0.0.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgstcheck-1.0.so.0.0.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgstnet-1.0.so.0.0.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gstreamer-1.0/libgstcoreelements.so ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/libexec/gstreamer-1.0/gst-plugin-scanner ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libgstcontroller-1.0.so.0.0.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gst-inspect-1.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gst-launch-1.0 ['/usr/lib64']
gstreamer1.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/gst-typefind-1.0 ['/usr/lib64']

see https://fedoraproject.org/wiki/Packaging/Guidelines#Removing_Rpath

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[!]: SHOULD Spec use %global instead of %define.

see https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define
Comment 3 Jiri Popelka 2012-08-03 12:59:03 EDT
Have you discussed this (gstreamer1) with gstreamer maintainers (seems you're not one of them) ?
Comment 4 Brian Pepple 2012-08-03 13:54:30 EDT
(In reply to comment #3)
> Have you discussed this (gstreamer1) with gstreamer maintainers (seems
> you're not one of them) ?

Yes. I talked to hadess on the desktop-devel list & on irc.
Comment 5 Brian Pepple 2012-08-06 13:06:14 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/gstreamer1.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gstreamer1/gstreamer1-0.11.92-2.fc18.src.rpm

* Fri Aug  3 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.11.92-2
- Use %%global instead of %%define macro.
- Remove rpath.

Scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4356425
Comment 7 Jiri Popelka 2012-08-06 13:25:30 EDT
I don't see any other problem. APPROVED !
Comment 8 Brian Pepple 2012-08-06 13:39:06 EDT
New Package SCM Request
=======================
Package Name: gstreamer1
Short Description: GStreamer streaming media framework runtime
Owners: bpepple
Branches:
InitialCC: baz
Comment 9 Gwyn Ciesla 2012-08-06 13:41:08 EDT
Git done (by process-git-requests).

Dropped extraneous "baz".
Comment 10 Brian Pepple 2012-08-06 13:42:14 EDT
(In reply to comment #9)
> Git done (by process-git-requests).
> 
> Dropped extraneous "baz".

Thanks. Forgot to drop that off when I copied over the template. ;-)
Comment 11 Brian Pepple 2012-08-06 14:17:40 EDT
Imported and built. Thanks for the review, Jiri!
Comment 12 Paul Lange 2012-08-06 14:47:48 EDT
Is it possible to build this for F17 as well or is there any missing dependency?
Comment 13 Brian Pepple 2012-08-06 18:08:37 EDT
(In reply to comment #12)
> Is it possible to build this for F17 as well or is there any missing
> dependency?

F17 should meet the dependencies for gst-1.0, but it's really only of interest for developers and not end-users, since no apps in F17 have been ported to the new api.
Comment 14 Paul Lange 2012-08-07 12:06:56 EDT
I'm working on pitivi, so it would be nice to have sytem wide packages. But most likely I can rebuild the package for f17 myself. Thanks.
Comment 15 Paul Lange 2012-08-21 15:23:15 EDT
I'm not sure from what Gstreamer1 package this error comes, but I get it when running the latest pitivi gstreamer1 branch:

(pitivi:22822): GStreamer-WARNING **: External plugin loader failed. This most likely means that the plugin loader helper binary was not found or could not be run. You might need to set the GST_PLUGIN_SCANNER environment variable if your setup is unusual. This should normally not be required though.
Comment 16 Brian Pepple 2012-08-21 15:32:03 EDT
(In reply to comment #15)
> I'm not sure from what Gstreamer1 package this error comes, but I get it
> when running the latest pitivi gstreamer1 branch:
> 
> (pitivi:22822): GStreamer-WARNING **: External plugin loader failed. This
> most likely means that the plugin loader helper binary was not found or
> could not be run. You might need to set the GST_PLUGIN_SCANNER environment
> variable if your setup is unusual. This should normally not be required
> though.

Hmmm, not much information to debug with, but I'll dig into this further when I get back from vacation.

Note You need to log in before you can comment on or make changes to this bug.